> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイルをダウンロード

> **対象アプリ**：Chatflow、チャットボット、レガシー Agent、テキストジェネレーター。

以前 [ファイルをアップロード](/ja/api-reference/files/upload-file) が返したファイルの生のバイト列を返します。ファイルには、そのメッセージが参照しているアプリからのみアクセスできます。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /files/{file_id}/preview
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /files/{file_id}/preview:
    get:
      tags:
        - ファイル操作
      summary: ファイルをダウンロード
      description: >-
        **対象アプリ**：Chatflow、チャットボット、レガシー Agent、テキストジェネレーター。


        以前 [ファイルをアップロード](/ja/api-reference/files/upload-file)
        が返したファイルの生のバイト列を返します。ファイルには、そのメッセージが参照しているアプリからのみアクセスできます。
      operationId: previewBasicChatFileJa
      parameters:
        - description: ダウンロードするファイルの ID です。ファイルアップロードのレスポンスから取得します。
          in: path
          name: file_id
          required: true
          schema:
            format: uuid
            type: string
        - description: '`true` の場合、ファイルはブラウザでインライン表示される代わりに、添付ファイルとしてダウンロードされます。'
          in: query
          name: as_attachment
          required: false
          schema:
            default: false
            type: boolean
        - description: >-
            エンドユーザーの識別子。アプリ側で定義し、アプリ内で一意にします。ここではファイルアクセスに影響しません。アクセスは `user`
            ではなくアプリとメッセージによってスコープされます。[エンドユーザーの識別](/ja/api-reference/guides/end-user-identity)
            を参照してください。
          in: query
          name: user
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                format: binary
                type: string
          description: >-
            生のファイルコンテンツを返します。`Content-Type` ヘッダーはファイルの MIME
            タイプに設定されます。`as_attachment` が `true` の場合、ファイルは `Content-Disposition:
            attachment` としてダウンロード形式で返されます。
        '403':
          content:
            application/json:
              examples:
                file_access_denied:
                  summary: file_access_denied
                  value:
                    code: file_access_denied
                    message: Access to the requested file is denied.
                    status: 403
          description: '`file_access_denied` : ファイルは存在しますが、別のアプリまたはワークスペースに属しています。'
        '404':
          content:
            application/json:
              examples:
                file_not_found:
                  summary: file_not_found
                  value:
                    code: file_not_found
                    message: The requested file was not found.
                    status: 404
          description: '`file_not_found` : この ID のファイルは、このアプリのメッセージからは参照できません。'
components:
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````